Get databox
curl --request GET \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/databox \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/databox"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/databox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied": false,
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false,
"vehicle": {
"asset": {
"id": "AT*ABC*V1000000",
"assetProviderCountryCode": "AT",
"assetProviderCode": "ABC",
"blobUuid": "a79abfff-bcdb-4bd1-b999-af29fe3d9056",
"defaultImage": "https://some.storage.website/image.png",
"active": true
},
"information": {
"vin": "0F0EAATTRBPC3CDBB",
"vendor": "BMW",
"model": "Zoe",
"variant": "Long Range",
"licensePlate": "W-53A",
"seats": 5,
"firstRegistrationDate": "2023-08-17",
"buildYear": 2023,
"evBatteryCapacity": 10.4,
"iceTankCapacity": 10.4,
"trackGeolocation": true
},
"status": {
"lastUpdated": "2023-08-17T18:19:22.874Z",
"location": {
"lat": 123,
"lng": 123
},
"isCharging": true,
"isLocked": true,
"windowsClosed": true,
"doorsClosed": true,
"engineActive": true,
"odometer": 123,
"reach": 123,
"fuelLevel": 123,
"headlightsActive": true,
"immobilizerActive": true,
"tirePressureFrontLeft": 123,
"tirePressureFrontRight": 123,
"tirePressureRearLeft": 123,
"tirePressureRearRight": 123,
"nextServiceDate": "2023-08-17",
"nextServiceDistance": 123,
"isPluggedIn": true
}
},
"group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted": false
}
]
}Databox
Get databox
Retrieve the unapplied databox and all of its files for the specified asset provider
GET
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
databox
Get databox
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the asset provider
Required string length:
2The three-character code of the asset provider the databox belongs to
Required string length:
3⌘I

